> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create unit

POST https://api.propexo.com/v1/units/
Content-Type: application/json

Create a unit for a property.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/units/create-unit

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_units__post_input.

- `property_id` (string, required)
- `intgration_id` (string, required)
- `integration_id` (string, optional) — The Propexo unique identifier for the integration
- `lease_period_id` (string, optional) — The Propexo unique identifier for the lease period
- `bathrooms` (string, optional, nullable) — The number of bathrooms in the unit.
- `bedrooms` (string, optional, nullable) — The number of bedrooms in the unit.
- `city` (string, optional) — The city of the unit.
- `country` (string, optional) — The country of the unit.
- `date_available` (string, optional) — The date that the unit becomes available
- `is_furnished` (boolean, optional) — Whether the unit is furnished
- `number` (string, optional) — The unit number
- `square_feet` (double, optional) — The size of the unit in square feet.
- `state` (string, optional) — The state of the unit.
- `street_address_1` (string, optional) — The first address line associated with the unit
- `street_address_2` (string, optional) — The second address line associated with the unit
- `zip` (string, optional) — The zip code of the unit.
- `floor_plan_code` (string, optional) — The external ID of the floor plan
- `unit_type_id` (string, optional) — The external ID of the unit type
- `category` (enum, optional) — The category of the unit.
  - Allowed values: `Residential`, `Commercial`
- `type` (enum, optional) — The type of the unit.
  - Allowed values: `Apartment`, `House`
- `name` (string, optional) — The name of the unit. Example: "Unit 3".
- `abbreviation` (string, optional) — The abbreviation of the unit. Example: "UNIT3"
- `address_1` (string, optional) — The first address line of the unit.
- `address_2` (string, optional) — The second address line of the unit.
- `notes` (string, optional) — Notes about the unit.
- `rent_amount_market_in_cents` (double, optional) — The market rent cost of the unit, in cents.

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1UnitsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1UnitsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "property_id": "prop_987654321",
  "intgration_id": "intg_123456789"
}
```

**Response**

```json
{
  "job_id": "job_abc123def456",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/units/"

payload = {
    "property_id": "prop_987654321",
    "intgration_id": "intg_123456789"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/units/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"property_id":"prop_987654321","intgration_id":"intg_123456789"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/units/"

	payload := strings.NewReader("{\n  \"property_id\": \"prop_987654321\",\n  \"intgration_id\": \"intg_123456789\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/units/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"property_id\": \"prop_987654321\",\n  \"intgration_id\": \"intg_123456789\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/units/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"property_id\": \"prop_987654321\",\n  \"intgration_id\": \"intg_123456789\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/units/', [
  'body' => '{
  "property_id": "prop_987654321",
  "intgration_id": "intg_123456789"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/units/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"property_id\": \"prop_987654321\",\n  \"intgration_id\": \"intg_123456789\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "property_id": "prop_987654321",
  "intgration_id": "intg_123456789"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/units/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```